## ros-galactic-rosbridge-library 1.3.1

=== debian/changelog ===
ros-galactic-rosbridge-library (1.3.1-1focal) focal; urgency=high

  * Optimized large binary array publishing (#819 <https://github.com/RobotWebTools/rosbridge_suite/issues/819>)
  * Skip unnecessary conversion for cbor/cbor-raw compression (#792 <https://github.com/RobotWebTools/rosbridge_suite/issues/792>) (#800 <https://github.com/RobotWebTools/rosbridge_suite/issues/800>)
  * Improve robustness for multiple client connections (#803 <https://github.com/RobotWebTools/rosbridge_suite/issues/803>)
  * Minor performance improvements (#809 <https://github.com/RobotWebTools/rosbridge_suite/issues/809>)
  * Remove unnecessary checking of topic globs. (#793 <https://github.com/RobotWebTools/rosbridge_suite/issues/793>) (#799 <https://github.com/RobotWebTools/rosbridge_suite/issues/799>)
  * Fix duplicate subscription created with wrong 'raw' attribute. (#798 <https://github.com/RobotWebTools/rosbridge_suite/issues/798>)
  * Contributors: Hans-Joachim Krauch, Steffen Nattke, Ted Sender

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 21 Oct 2022 05:00:00 -0000

ros-galactic-rosbridge-library (1.3.0-1focal) focal; urgency=high

  * Allow integers in conversion to float array messages (#777 <https://github.com/RobotWebTools/rosbridge_suite/issues/777>)
  * Non standard msg modules (#735 <https://github.com/RobotWebTools/rosbridge_suite/issues/735>)
  * Contributors: Jacob Bandes-Storch, Will

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Aug 2022 05:00:00 -0000

ros-galactic-rosbridge-library (1.2.0-1focal) focal; urgency=high

  * Fixed float arrays conversion (#730 <https://github.com/RobotWebTools/rosbridge_suite/issues/730>)
  * Fixed multiple subscriber on transient_local topic (#723 <https://github.com/RobotWebTools/rosbridge_suite/issues/723>)
  * Fix translation of time and time arrays (#691 <https://github.com/RobotWebTools/rosbridge_suite/issues/691>)
  * Fix array behavior (#692 <https://github.com/RobotWebTools/rosbridge_suite/issues/692>)
  * Contributors: Jacob Bandes-Storch, José Castelo, Kenji Miyake, Will, p0rys

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 20 May 2022 05:00:00 -0000

ros-galactic-rosbridge-library (1.1.2-1focal) focal; urgency=high

  * [694] update DurabilityPolicy api that are being deprecated (#695 <https://github.com/RobotWebTools/rosbridge_suite/issues/695>)
  * Fix byte behavior (#693 <https://github.com/RobotWebTools/rosbridge_suite/issues/693>)
  * Fix test_message_conversion.py (#645 <https://github.com/RobotWebTools/rosbridge_suite/issues/645>)
  * Fix test_ros_loader.py (#644 <https://github.com/RobotWebTools/rosbridge_suite/issues/644>)
  * Fix CI test configuration and temporarily disable rosbridge_library test (#686 <https://github.com/RobotWebTools/rosbridge_suite/issues/686>)
  * Contributors: Evan Flynn, Jacob Bandes-Storch, Kenji Miyake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jan 2022 06:00:00 -0000

ros-galactic-rosbridge-library (1.1.1-1focal) focal; urgency=high

  * Allow subscribing to any qos profile when creating a subscriber (#690 <https://github.com/RobotWebTools/rosbridge_suite/issues/690>)
  * Fix and add test for multiple subscribers to same topic (#687 <https://github.com/RobotWebTools/rosbridge_suite/issues/687>)
  * Fix error when advertising duplicate service (#683 <https://github.com/RobotWebTools/rosbridge_suite/issues/683>)
  * Fix incoming service calls (#669 <https://github.com/RobotWebTools/rosbridge_suite/issues/669>)
  * Replace busy wait in AdvertiseService with async handler (#666 <https://github.com/RobotWebTools/rosbridge_suite/issues/666>)
  * Contributors: Domenic Rodriguez, Jacob Bandes-Storch, Roman Shtylman

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 09 Dec 2021 06:00:00 -0000

ros-galactic-rosbridge-library (1.1.0-1focal) focal; urgency=high

  * Fix test imports from rosbridge_test_msgs (#668 <https://github.com/RobotWebTools/rosbridge_suite/issues/668>)
  * Move msg/srv from rosapi and rosbridge_library into separate packages; enable Rolling in CI (#665 <https://github.com/RobotWebTools/rosbridge_suite/issues/665>)
  * Fix test_services.py (#653 <https://github.com/RobotWebTools/rosbridge_suite/issues/653>)
  * Fix unused variables: flake8 --select=F841 (#623 <https://github.com/RobotWebTools/rosbridge_suite/issues/623>)
  * Remove get_service_instance from ros_loader (#647 <https://github.com/RobotWebTools/rosbridge_suite/issues/647>)
  * Fix test settings for rosbridge_library (#643 <https://github.com/RobotWebTools/rosbridge_suite/issues/643>)
  * Fix DOS line endings (#658 <https://github.com/RobotWebTools/rosbridge_suite/issues/658>)
  * Port #464 <https://github.com/RobotWebTools/rosbridge_suite/issues/464>, #478 <https://github.com/RobotWebTools/rosbridge_suite/issues/478>, #496 <https://github.com/RobotWebTools/rosbridge_suite/issues/496>, and #502 <https://github.com/RobotWebTools/rosbridge_suite/issues/502> from ROS1 branch (#663 <https://github.com/RobotWebTools/rosbridge_suite/issues/663>)
  * Add pre-commit, format with black and isort (#648 <https://github.com/RobotWebTools/rosbridge_suite/issues/648>)
  * Contributors: Adrian Macneil, Christian Clauss, Domenic Rodriguez, Jacob Bandes-Storch, Kenji Miyake

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 22 Oct 2021 05:00:00 -0000

ros-galactic-rosbridge-library (1.0.8-1focal) focal; urgency=high

  * Fix various Python code style and lint issues
  * Contributors: Christian Clauss, Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-library (1.0.7-1focal) focal; urgency=high

  * Fix typos discovered by codespell (#600 <https://github.com/RobotWebTools/rosbridge_suite/issues/600>)
  * Contributors: Christian Clauss

 -- Russell Toris <rctoris@wpi.edu>  Wed, 18 Aug 2021 05:00:00 -0000

ros-galactic-rosbridge-library (1.0.6-1focal) focal; urgency=high

  * Fix broken links in changelogs
  * Contributors: Jacob Bandes-Storch


